      subroutine INITL(Y,SECTOR)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      double precision Y(NPX,NCHEM)
      integer I, J, K, KSTART, KSTOP, SECTOR
      go to (100,120,220,320,420), SECTOR
100   continue
      do 110 J = 1, NCHEM
         do 110 I = 1, NPX
            Y(I,J) = 0.0D+00
110   continue
120   continue
      if (SECTOR.eq.2) then
         KSTART = MCHEMG
         KSTOP = MCHEMG
      else
         KSTART = 1
         KSTOP = NCHEM
      endif
      do 210 K = KSTART, KSTOP
         MWTG(K) = 0.
         KOCG(K) = 0.
         KOWG(K) = 0.
         KVOG(K) = 0.
         HENRYG(K) = 0.
         EHENG(K) = 0.
         VAPRG(K) = 0.
         EVPRG(K) = 0.
         do 130 I = 1, 6
            PKG(I,K) = 0.
            EPKG(I,K) = 0.
            KIECG(I,K) = 0.
130      continue
         do 140 I = 1, 50
            CHEMNA(I,K) = ' '
140      continue
            RPASS(1) = 'GLOBAL'
            WPASS(1) = 'GLOBAL'
         do 160 I = 1, 7
            SPFLGG(I,K) = 0
            LAMAXG(I,K) = 0.
            SOLG(I,K) = 0.
            ESOLG(I,K) = 0.
            KPSG(I,K) = 0.
            KPDOCG(I,K) = 0.0
            KPBG(I,K) = 0.
            KDPG(I,K) = 0.
            RFLATG(I,K) = 40.
160      continue
         do 190 J = 1, 7
            do 170 I = 1, 3
               QUANTG(I,J,K) = 0.
               KAHG(I,J,K) = 0.
               EAHG(I,J,K) = 0.
               KNHG(I,J,K) = 0.
               ENHG(I,J,K) = 0.
               KBHG(I,J,K) = 0.
               EBHG(I,J,K) = 0.
               KOXG(I,J,K) = 0.
               EOXG(I,J,K) = 0.
               K1O2G(I,J,K) = 0.
               EK1O2G(I,J,K) = 0.
               KREDG(I,J,K) = 0.0
               EREDG(I,J,K) = 0.0
170         continue
            do 180 I = 1, 4
               KBACWG(I,J,K) = 0.
               QTBAWG(I,J,K) = 0.
               KBACSG(I,J,K) = 0.
               QTBASG(I,J,K) = 0.
180         continue
190      continue
         do 200 J = 1, 7
            do 200 I = 1, 46
               ABSORG(I,J,K) = 0.0
200      continue
210   continue
      if (SECTOR.eq.2) go to 1000
220   continue
      RPASS(2)='GLOBAL'
      WPASS(2)='GLOBAL'
      KOUNT = 0
      LATG = 34.95
      LONGG = 83.
      ELEVG = 200.
      do 225 I=1,50
225   ECONAM(I)=' '
      do 230 I = 1, MAXDAT
         RAING(I) = 0.0
         CLOUDG(I) = 0.0
         OXRADG(I) = 0.0
         OZONEG(I) = 0.30
         ATURBG(I) = 2.0
         RHUMG(I) = 0.0
         AIRTYG(I) = ' '
230   continue
      do 240 I = 1, NCON
         JFRADG(I) = 0
         ITOADG(I) = 0
         ADVPRG(I) = 0.0
         JTURBG(I) = 0
         ITURBG(I) = 0
         XSTURG(I) = 0.0
         CHARLG(I) = 0.0
240   continue
      do 250 J = 1, MAXDAT
         do 250 I = 1, NCON
            DSPG(I,J) = 0.0
250   continue
      do 260 I = 1, NPX
         TYPEG(I) = ' '
         VOLG(I) = 0.0
         AREAG(I) = 0.0
         DEPTHG(I) = 0.0
         XSAG(I) = 0.0
         LENGG(I) = 0.0
         WIDTHG(I) = 0.0
260   continue
      do 270 J = 1, MAXDAT
         do 270 I = 1, NPX
            EVAPG(I,J) = 0.0
            WINDG(I,J) = 0.0
            SUSEDG(I,J) = 0.0
            BULKDG(I,J) = 0.0
            PCTWAG(I,J) = 0.0
            FROCG(I,J) = 0.0
            CECG(I,J) = 0.0
            AECG(I,J) = 0.0
            TCELG(I,J) = 20.0
            PHG(I,J) = 7.0
            POHG(I,J) = 7.0
            BACPLG(I,J) = 0.0
            BNBACG(I,J) = 0.0
            PLMASG(I,J) = 0.0
            BNMASG(I,J) = 0.0
            KO2G(I,J) = 0.0
            DISO2G(I,J) = 0.0
            DOCG(I,J) = 0.0
            CHLG(I,J) = 0.0
            DFACG(I,J) = 0.0
            STFLOG(I,J) = 0.0
            STSEDG(I,J) = 0.0
            NPSFLG(I,J) = 0.0
            NPSEDG(I,J) = 0.0
            SEEPSG(I,J) = 0.0
            REDAGG(I,J) = 0.0
270   continue
      if (SECTOR.eq.3) goto 1000
320   continue
      RPASS(3)='GLOBAL'
      WPASS(3)='GLOBAL'
      do 330 I=1,50
330   LOADNM(I)=' '
      do 340 I=1,MAXMAS
        ISEGG(I) =0
        ICHEMG(I)=0
        IMONG (I)=0
        IDAYG(I) =0
        IYEARG(I)=0
        IMASSG(I)=0.0
340   continue
      do 360 I=1,MAXDAT
        do 355 J=1,NCHEM
          do 350 K=1,NPX
            STRLDG(K,J,I)=0.0
            NPSLDG(K,J,I)=0.0
            PCPLDG(K,J,I)=0.0
            DRFLDG(K,J,I)=0.0
            SEELDG(K,J,I)=0.0
350       continue
355     continue
360   continue
      if (SECTOR.eq.4) goto 1000
420   continue
      RPASS(4)='GLOBAL'
      WPASS(4)='GLOBAL'
      do 430 I=1,50
430   PRODNM(I)=' '
      do 440 I=1,NTRAN
      YIELDG(I)=0.0
      EAYLDG(I)=0.0
      CHPARG(I)=0
      TPRODG(I)=0
      NPROCG(I)=0
      RFORMG(I)=0
440   continue
1000  continue
      return
      end
